Client List Ground Truths
curl --request GET \
--url https://agents-api.kolena.com/api/v1/client/agents/{agent_id}/ground_truths \
--header 'Authorization: Bearer <token>'import requests
url = "https://agents-api.kolena.com/api/v1/client/agents/{agent_id}/ground_truths"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://agents-api.kolena.com/api/v1/client/agents/{agent_id}/ground_truths', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ground_truths": [
{
"evaluation_instructions": "Check if the extracted invoice number and total amount match the expected values exactly.",
"id": 1,
"name": "Invoice Processing",
"runs": [
{
"data": {
"Invoice Number": "INV-2025-001",
"Total Amount": 1500
},
"user_defined_id": "invoice-001"
}
],
"version": 2
}
],
"total_pages": 123,
"page_number": 0,
"page_size": 50
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Ground Truths
List Ground Truths
Return all Ground Truths for Agent
Client List Ground Truths
Rate Limit: This endpoint is limited to requests per minute per user.
Authorizations
Bearer authentication header of the form Bearer <token>. The <token> represents your API key, which must be acquired from the Kolena platform.
Path Parameters
Query Parameters
Optionally specify the index of the Ground Truths page to fetch.
Required range:
x >= 0Optionally specify the maximum number of Ground Truths to fetch.
Required range:
1 <= x <= 1000Response
Successful Response
The list of Ground Truths.
Show child attributes
Show child attributes
The total number of pages of Ground Truths. Use the request arguments page_number and page_size to control which Ground Truths are fetched.
The number of the fetched page.
Required range:
x >= 0The page size, i.e. number of Ground Truths, fetched.
Required range:
x <= 1000Was this page helpful?
